<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.alarm.modules.mapper.RuleIndicatorMapper">

    <select id="getRuleIndicatorNameByMediaTypeAndDimension" resultType="java.lang.String">
      select  dimension_name
      from ctop_rule_media_dimension
      where  media_type = #{mediaType}
      and dimension = #{dimension}
      limit 1
    </select>

    <select id="getDataTypeByRuleDimensionAndIndicatorCode" resultType="java.lang.String">
      select  data_type
      from ctop_rule_indicator
      where  code = #{indicatorCode}
      and dimension = #{ruleDimension}
      limit 1
    </select>


</mapper>